Packages - Freedom Issue #674

[ruby] nonfree file in the source code
2015-02-17 09:12 PM - Anonymous

Status: fixed % Done: 100%
Priority: freedom issue

Assignee:

Category:

Description

The ext/json/generator/generator.c file from Ruby's source code contains this copyright notice:

/*
* Copyright 2001-2004 Unicode, Inc.

* Disclaimer

* This source code is provided as is by Unicode, Inc. No claims are

* made as to fitness for any particular purpose. No warranties of any
* kind are expressed or implied. The recipient agrees to determine
applicability of information provided. If this file has been
purchased on magnetic or optical media from Unicode, Inc., the

sole remedy for any claim will be exchange of defective media
within 90 days of receipt.

* Limitations on Rights to Redistribute This Code

*

Unicode, Inc. hereby grants the right to freely use the information
supplied in this file in the creation of products supporting the
Unicode Standard, and to make copies of this file in any form

for internal or external distribution as long as this notice

* ok ok

remains attached.

*/

| sent an email to FSF about this and they told me that the limitation of permissions to "the creation of products supporting the
Unicode Standard" makes the code non-free.

I think | know how to fix it without breaking existing software written in Ruby so I'll try to prepare a patch.

History

#1 - 2015-02-25 09:22 PM - Anonymous

| made the fix available at https:/gitorious.org/niitotantei/abslibre.qgit, branch issue-#674.

This fix completely removes the C code handling JSON from Ruby. A free variant written in pure Ruby is packaged instead (actually both the C and
Ruby code are part of the same gem). | made a few adjustments here and there so the existing software should work fine. The fix is a bit ugly though;
| had to include a prepackaged gem in the repository because | don't quite know how to build it during Ruby build process. Anyway, | did a few tests
and it looks like Ruby's functionality isn't affected by the fix.

#2 - 2015-03-05 12:08 AM - Anonymous

- Subject changed from [ruby] non-free file in the source code to [ruby] nonfree file in the source code

#3 - 2015-03-05 12:10 AM - Anonymous
- Assignee changed from Anonymous to Anonymous

- Status changed from open to in progress

I'll blacklist it and add our libre version based on your version! :)

#4 - 2015-03-05 04:56 AM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed

2024-04-09 1/2



https://gitorious.org/niitotantei/abslibre.git
https://labs.parabola.nu/issues/674

#5 - 2017-06-24 04:32 AM - lukeshu

Upstream bug in Ruby: https:/bugs.ruby-lang.org/issues/11844
Upstream bug in json gem: https://github.com/flori/json/issues/277

It seems that Unicode upstream has re-licensed everything to be DFSG (and thus FSDG) compatible, and we are now waiting on verification from the
json gem devs that generator.c can be re-licensed.

#6 - 2024-02-23 04:03 AM - lukeshu
| have filed an upstream PR to replace the non-free code with my own version: https:/github.com/flori/json/pull/567
